;---------------------------------------------
;ローリングカッター
;---------------------------------------------
!CutManSpriteNumber = $05
;---------------------------------------------
print "INIT ",pc
	%SubHorzPos()
	TYA
	STA $157C,x
RTL
;---------------------------------------------
print "MAIN ",pc
PHB : PHK : PLB
	JSR MainCode
	PLB
RTL
MainCode:
	JSR Graphics

	LDA #$00
	%SubOffScreen()	; Check if offscreen
;---------------------------------------------
tilemap:
	db $AA,$AE,$AA,$AE

Graphics:
	%GetDrawInfo()

	PHY			; Preserve OAM index
	LDY $157C,x	; Set tile flip depending on direction
	LDA TileFlip,y
	ORA $15F6,x	; Put it together with the sprite's and level's OAM properties
	ORA $64
	STA $03
	PLY			; Restore OAM index

	LDA #$01	; Set frame index
	STA $02

	LDA $00
	STA $0300|!Base2,y	; X position
	LDA $01
	STA $0301,y	; Y position
	PHY
	LDY $1602,x
	LDA tilemap,y
	PLY			; Restore OAM slot
	STA $0302|!Base2,y	; Tile number
	LDA $03
	STA $0303|!Base2,y	; Properties

	LDA #$00	; Tiles to draw - 1
	LDY #$02	; 16x16 sprite
	JSL $01B7B3
RTS