;---------------------------------------------
;cutman
;---------------------------------------------
;!hasami_flag,xが hasami_flag,x is
;0のときは開いている Open when 0
;1のときは閉じている Closed when 1.
;2のときは描画しない No drawing when 2
;---------------------------------------------
!jump_power = $02
!fire_power = $02
!cape_power = $02
!item_power = $0F
;---------------------------------------------
; do not change it
;---------------------------------------------
!pose = !1504
!state = !1510
!hasami_flag = !151C
!timer = !1540
!anime_count = !1602
!muteki = !1558
!return = !1594
!deathtimer		= !1564	; set when sprite... dies
!DeathEffect = $01 ;Please Put The Number Of "DeathEffectCut.json".
!cutter_sprite = $06
WalkingXSpeed:
    db $12,$E8
move_table:
	db $78,$30,$78,$C0
speed_table:
	db $E8,$E8,$18,$18
anime_table:
	db $05,$06,$07
	db $06,$05,$04
walkinganime:
	db $02,$03,$04,$05,$06,$07
;---------------------------------------------
; sprite
;---------------------------------------------
print "INIT ",pc
	LDA #$08
	STA !pose,x
	RTL

print "MAIN ",pc
	PHB
	PHK
	PLB
	JSR +
	PLB
	RTL
+
	LDA #$00
	%SubOffScreen()
	JSR gfx
	
	LDA $9D
	BNE return
	LDA !sprite_status,x
	CMP #$08
	BNE return

	LDA !state,x
	JSL $0086DF|!BankB
	dw wait,posing,hpup,walking1,cutterthrow1,walking2
wait:
	%SubHorzPos()
	TYA
	STA !157C,x
	LDA !sprite_x_high,x
	CMP $95
	BNE +
	LDA $77
	AND #$04
	BEQ +
	LDA #$0B
	STA $71
	JSL $01802A|!BankB
	LDA !sprite_blocked_status,x
	AND #$04
	BEQ +
	STZ !pose,x
	INC !state,x
	LDA #$10
	STA !timer,x
+
return:
	RTS
posing:
	LDA !timer,x
	BNE +
	LDA !anime_count,x
	CMP #$07
	BCS ++
	AND #$01
	STA !pose,x
	STA !hasami_flag,x
	LDA #$08
	STA !timer,x
	INC !anime_count,x
+
	RTS
++
	STZ $00
	LDA #$C0
	STA $01
	STZ $02
	STZ $03
	LDA !new_sprite_num,x
	DEC A
	SEC
	%SpawnSprite()
	INC !state,x
	LDA #$10
	STA !timer,x
	RTS
hpup:
	LDA !timer,x
	BNE +
	LDA !C2,x
	INC A
	STA !C2,x
	LDA !C2,x
	CMP #$1C
	BCS ++
	LDA #$01
	STA $1DFC|!Base2
	LDA #$02
	STA !timer,x
+
	RTS
++
	INC !state,x
	LDA #$10
	STA !timer,x
	STZ $71
-
	RTS
walking1:
	LDA !1588,x
	PHA
	AND #$03
	BEQ +
	STZ !sprite_speed_x,x
+
	PLA
	AND #$08
	BEQ +
	STZ !sprite_speed_y,x
+
	JSL $01802A|!BankB
	JSR check_mario
	BMI +
	CMP #$08
	BCC +
	LDA #$08
+
	LDA !sprite_blocked_status,x
	AND #$04
	BEQ ++
	%SubHorzPos()
	TYA
	STA !157C,x
	LDA !sprite_blocked_status,x
	AND #$03
	BEQ +
	LDA #$C8
-:
	STA !sprite_speed_y,x
	LDA #$08
	STA !pose,x
	LDA $14
	AND #$01
	STA !hasami_flag,x
	RTS

+:
	LDA WalkingXSpeed,y
	STA !sprite_speed_x,x
	REP #$20
	LDA $0E
	BPL +
	EOR #$FFFF
	INC
+:
	CMP #$0030
	SEP #$20
	BCS +
	LDA #$A6
	BRA -
+:
	INC !1570,x
	LDA !1570,x
	CMP #$08
	BCC ++
	STZ !1570,x
	INC !anime_count,x
	LDA #$FF
	LDA !anime_count,x
	CMP #$06
	BCC +
	STZ !anime_count,x
+
	LDA !anime_count,x
	CLC
	ADC #$02
	STA !pose,x
++
	LDA #$10	; size of range of timer values (i.e. max value - min value)
	%Random()
	CLC
	ADC #$10	; min value
	STA !timer,x

	RTS
cutter_speed:
	db $30,$D0
cutterthrow1:
	JSR check_mario
	%SubHorzPos()
	TYA
	STA !157C,x
	LDA !timer,x
	BNE +
	LDA #$10
	STA !timer,x
	DEC !state,x
	INC !hasami_flag,x
	LDA #$09
	STA !pose,x
	STZ $00
	STZ $01
	LDA cutter_speed,y
	STA $02
	STZ $03
	LDA #$00
	STA $00
	LDA #$00
	STA $01
	LDA #$00
	STA $02
	LDA #$00
	STA $03
	LDA #!cutter_sprite
	SEC
	%SpawnSprite()
+
	RTS
Aiming:
    STA $01
    PHX                     ;\ preserve sprite indexes of Magikoopa and magic
    PHY                     ;/
    %SubVertPos()           ; $0E = vertical distance to Mario
    STY $02                 ; $02 = vertical direction to Mario
    LDA $0F                 ;\ $0C = vertical distance to Mario, positive
    BPL +                   ; |
        EOR #$FF            ; |
        CLC : ADC #$01      ; |
+   STA $0C                 ;/
    %SubHorzPos()           ; $0F = horizontal distance to Mario
    STY $03                 ; $03 = horizontal direction to Mario
    LDA $0E                 ;\ $0D = horizontal distance to Mario, positive
    BPL +                   ; |
        EOR #$FF            ; |
        CLC : ADC #$01      ; |
+   STA $0D
    LDY #$00
    LDA $0D                 ;\ if vertical distance less than horizontal distance,
    CMP $0C                 ; |
    BCS +                   ;/ branch
        INY                 ; set y register
        PHA                 ;\ switch $0C and $0D
        LDA $0C             ; |
        STA $0D             ; |
        PLA                 ; |
        STA $0C             ;/
+   STZ $0B                 ;\ zero out $00 and $0B
    STZ $00                 ;/
    LDX $01                 ;\ divide $0C by $0D?
-   LDA $0B                 ; |\ if $0C + loop counter is less than $0D,
    CLC : ADC $0C           ; | |
    CMP $0D                 ; | |
    BCC +                   ; |/ branch
        SBC $0D             ; | else, subtract $0D
        INC $00             ; | and increase $00
+   STA $0B                 ; |
    DEX                     ; |\ if still cycles left to run,
    BNE -                   ;/ / go to start of loop
    TYA                     ;\ if $0C and $0D was not switched,
    BEQ +                   ;/ branch
        LDA $00             ;\ else, switch $00 and $01
        PHA                 ; |
        LDA $01             ; |
        STA $00             ; |
        PLA                 ; |
        STA $01             ;/
+   LDA $00                 ;\ if horizontal distance was inverted,
    LDY $02                 ; | invert $00
    BEQ +                   ; |
        EOR #$FF            ; |
        CLC : ADC #$01      ; |
        STA $00             ;/
+   LDA $01                 ;\ if vertical distance was inverted,
    LDY $03                 ; | invert $01
    BEQ +                   ; |
        EOR #$FF            ; |
        CLC : ADC #$01      ; |
        STA $01             ;/
+   PLY                     ;\ retrieve Magikoopa and magic sprite indexes
    PLX                     ;/
    RTS

walking2:
	LDA !1588,x
	PHA
	AND #$03
	BEQ +
	STZ !sprite_speed_x,x
+
	PLA
	AND #$08
	BEQ +
	STZ !sprite_speed_y,x
+
	JSL $01802A|!BankB
	JSR check_mario
	BMI +
	CMP #$08
	BCC +
	LDA #$08
+
	LDA !sprite_blocked_status,x
	AND #$04
	%SubHorzPos()
	TYA
	STA !157C,x
	LDA !sprite_blocked_status,x
	AND #$03
	BEQ +
	LDA #$C8
-:
	STA !sprite_speed_y,x
	LDA #$08
	STA !pose,x
	LDA $14
	AND #$02
	STA !hasami_flag,x
	RTS

+:
	LDA WalkingXSpeed,y
	STA !sprite_speed_x,x
	REP #$20
	LDA $0E
	BPL +
	EOR #$FFFF
	INC
+:
	CMP #$0030
	SEP #$20
	BCS +
	LDA #$A6
	BRA -
+:
	INC !1570,x
	LDA !1570,x
	CMP #$08
	STZ !1570,x
	INC !anime_count,x
	LDA #$FF
	LDA !anime_count,x
	CMP #$06
	BCC +
	STZ !anime_count,x
+
	LDA !anime_count,x
	CLC
	ADC #$02
	STA !pose,x

	RTS

check_mario:
	LDA !muteki,x
	BEQ +
	RTS
+
	%CapeContact()
	BCC +
	LDA #!cape_power
	STA $00
	JMP mario_win
+
	%FireballContact()
	BCC +
	LDA #!fire_power
	STA $00
	JMP mario_win
+
	JSL $03B69F|!BankB
	LDY #!SprSize
-
	LDA !sprite_status,y
	CMP #$09
	BCC +
	PHX
	TYX
	JSL $03B6E5|!BankB
	PLX
	JSL $03B72B|!BankB
	BCC +
	LDA #$02
	STA !sprite_status,y
	LDA #$00
	STA !sprite_speed_x,y
	STA !sprite_speed_y,y
	LDA #!item_power
	STA $00
	JMP mario_win
+
	DEY
	BPL -
	
	JSL $01A7DC|!BankB
	BCC +
	LDA !hasami_flag,x
	CMP #$02
	BNE boss_win
	LDA #!jump_power
	STA $00
	%SubVertPos()
	LDA $0F
	CMP #$F0
	BPL boss_win
	LDA $7D
	BPL ++
boss_win:
	JSL $00F5B7|!BankB
+
	RTS
++
	JSL $01AA33|!BankB
	JSL $01AB99|!BankB
mario_win:
	LDA #$20
	STA !muteki,x
	LDA #$28
	STA $1DFC|!Base2
	LDA !C2,x
	SEC
	SBC $00
	STA !C2,x
	DEC
	BPL +
tiwn:
	LDA #$00
	STA !14C8,x
	LDA !extra_bits,x
	AND #$04
	BNE extra_bit_set
	LDA #$1F
	STA $1DF9|!Base2
	LDY #!DeathEffect
	STA $18B8
	RTS
; extra bit clear

extra_bit_set:
;extra bit set
	LDA #$00	; Exit type
	STA $141C|!addr	;
	LDA #$0B	; Music (needs to be changed if using AMK)
	STA $1DFB|!addr	;
	LDA #$FF	;
	STA $0DDA|!addr	; Music thing
	STA $1493|!addr	; Level-end timer
	STZ $1490|!addr	; Disable star timer
	LDA #$FF	; Boss goal sequence (prevents auto-walk)
	STA $13C6|!addr	;
+
	LDA #$28
	STA $1DFC|!Base2
	RTS

x_pos:
	db $F8,$08,$F8,$08,$01 ;Stand1
	db $F8,$08,$F8,$08,$01 ;Stand2
	db $F8,$08,$F8,$08,$FD ;Walk1
	db $F8,$08,$F8,$08,$FD ;Walk2
	db $F8,$08,$F8,$08,$FD ;Walk3
	db $F8,$08,$F8,$08,$FD ;Walk4
	db $F8,$08,$F8,$08,$FD ;Walk5
	db $F8,$08,$F8,$08,$FD ;Walk6
	db $F8,$08,$F8,$08,$00 ;Jump
	db $F8,$08,$F8,$08,$01 ;CutterThrow1
	db $F5,$05,$F5,$05,$FE ;CutterThrow2
	db $FC,$FC,$04,$04     ;HitEffect
tilemap:
	db $00,$02,$20,$22,$55 ;Stand1
	db $04,$06,$24,$26,$55 ;Stand2
	db $08,$0A,$28,$2A,$55 ;Walk1
	db $0C,$0E,$2C,$2E,$55 ;Walk2
	db $40,$42,$60,$62,$55 ;Walk3
	db $44,$46,$64,$66,$55 ;Walk4
	db $48,$4A,$68,$6A,$55 ;Walk5
	db $4C,$4E,$6C,$6E,$55 ;Walk6
	db $80,$82,$84,$86,$55 ;Jump
	db $88,$8A,$8C,$8E,$55 ;CutterThrow1
	db $CC,$CE,$EC,$EE,$55 ;CutterThrow2
	db $D6,$E6,$D7,$E7     ;HitEffect
y_pos:
	db $F0,$F0,$00,$00,$E7 ;Stand1
	db $F0,$F0,$00,$00,$E7 ;Stand2
	db $F0,$F0,$00,$00,$E9 ;Walk1
	db $F0,$F0,$00,$00,$E6 ;Walk2
	db $F0,$F0,$00,$00,$E7 ;Walk3
	db $F0,$F0,$00,$00,$E9 ;Walk4
	db $F0,$F0,$00,$00,$E6 ;Walk5
	db $F0,$F0,$00,$00,$E7 ;Walk6
	db $F0,$F0,$00,$00,$E8 ;Jump
	db $F0,$F0,$00,$00,$E7 ;CutterThrow1
	db $F0,$F0,$00,$00,$E7 ;CutterThrow2
	db $F8,$00,$F8,$00     ;HitEffect
hasami_tile:
	db $A0,$C0
tile_addr:
	db $00,$05,$0A,$0F
	db $14,$19,$1E,$23
	db $28,$2D,$32,$37
gfx:
	%GetDrawInfo()
	LDA !157C,x
	EOR #$01
	ASL #6
	STA $02
	
	LDA !15F6,x
	STA $04
	

	PHX
	LDA !hasami_flag,x
	CMP #$02
	BCC +
	LDA #$03
	STA $05
	BRA ++
+
	TAX
	LDA hasami_tile,x
	STA $03
	LDA #$04
	STA $05
++
	PLX
	PHX
	LDA !muteki,x
	BEQ +
	LDA $14
	AND #$01
	BEQ +
	LDA #$03
	STA $05
	LDA #$0B
	BRA ++
+
	LDA !pose,x
++
	TAX
	LDA tile_addr,x
	STA $06
	LDX $05
-
	PHX
	TXA
	CLC
	ADC $06
	TAX
	
	LDA x_pos,x
	PHX
	LDX $02
	BEQ +
	EOR #$FF
	INC A
+
	PLX
	CLC
	ADC $00
	STA $0300|!Base2,y
	LDA tilemap,x
	CMP #$55
	BNE +
	LDA $03
+
	STA $0302|!Base2,y
	
	LDA y_pos,x
	CLC
	ADC $01
	STA $0301|!Base2,y
	
	LDA $04
	ORA $02
	ORA $64
	STA $0303|!Base2,y
	
	PLX
	INY #4
	DEX
	BPL -
	
	PLX
	LDY #$02
	LDA $05
	%FinishOAMWrite()
	RTS